View a markdown version of this page

UpdateThreatModel - AWS Security Agent

UpdateThreatModel

Updates an existing threat model configuration.

Request Syntax

POST /UpdateThreatModel HTTP/1.1 Content-type: application/json { "agentSpaceId": "string", "assets": { "actors": [ { "authentication": { "providerType": "string", "value": "string" }, "description": "string", "identifier": "string", "uris": [ "string" ] } ], "documents": [ { "artifactId": "string", "integratedDocument": { "integrationId": "string", "resourceId": "string" }, "s3Location": "string" } ], "endpoints": [ { "uri": "string" } ], "integratedRepositories": [ { "integrationId": "string", "providerResourceId": "string" } ], "sourceCode": [ { "s3Location": "string" } ] }, "description": "string", "logConfig": { "logGroup": "string", "logStream": "string" }, "scopeDocs": [ { "artifactId": "string", "integratedDocument": { "integrationId": "string", "resourceId": "string" }, "s3Location": "string" } ], "serviceRole": "string", "threatModelId": "string", "title": "string" }

URI Request Parameters

The request does not use any URI parameters.

Request Body

The request accepts the following data in JSON format.

agentSpaceId

The unique identifier of the agent space that contains the threat model.

Type: String

Required: Yes

assets

The updated assets for the threat model.

Type: Assets object

Required: No

description

The updated description of the application or system being threat modeled.

Type: String

Required: No

logConfig

The updated CloudWatch Logs configuration for the threat model.

Type: CloudWatchLog object

Required: No

scopeDocs

The updated scoped documents for the agent to focus on during threat modeling.

Type: Array of DocumentInfo objects

Required: No

serviceRole

The updated IAM service role for the threat model.

Type: String

Required: No

threatModelId

The unique identifier of the threat model to update.

Type: String

Required: Yes

title

The updated title of the threat model.

Type: String

Required: No

Response Syntax

HTTP/1.1 200 Content-type: application/json { "agentSpaceId": "string", "assets": { "actors": [ { "authentication": { "providerType": "string", "value": "string" }, "description": "string", "identifier": "string", "uris": [ "string" ] } ], "documents": [ { "artifactId": "string", "integratedDocument": { "integrationId": "string", "resourceId": "string" }, "s3Location": "string" } ], "endpoints": [ { "uri": "string" } ], "integratedRepositories": [ { "integrationId": "string", "providerResourceId": "string" } ], "sourceCode": [ { "s3Location": "string" } ] }, "createdAt": "string", "description": "string", "logConfig": { "logGroup": "string", "logStream": "string" }, "scopeDocs": [ { "artifactId": "string", "integratedDocument": { "integrationId": "string", "resourceId": "string" }, "s3Location": "string" } ], "serviceRole": "string", "threatModelId": "string", "title": "string", "updatedAt": "string" }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

agentSpaceId

The unique identifier of the agent space that contains the threat model.

Type: String

assets

The assets included in the threat model.

Type: Assets object

createdAt

The date and time the threat model was created, in UTC format.

Type: Timestamp

description

A description of the application or system being threat modeled.

Type: String

logConfig

The CloudWatch Logs configuration for the threat model.

Type: CloudWatchLog object

scopeDocs

The scoped documents for the agent to focus on during threat modeling.

Type: Array of DocumentInfo objects

serviceRole

The IAM service role used for the threat model.

Type: String

threatModelId

The unique identifier of the threat model.

Type: String

title

The title of the threat model.

Type: String

updatedAt

The date and time the threat model was last updated, in UTC format.

Type: Timestamp

Errors

For information about the errors that are common to all actions, see Common Error Types.

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: